#
# Conditional build:
%bcond_with	opt		# build opt

%define debug_package %{nil}
%define	pkgname	curl
Summary:	OCaml Curl library (ocurl)
Name:		ocaml-%{pkgname}
Version:	0.7.1
Release:	2
License:	MIT
Group:		Libraries
Source0:	https://forge.ocamlcore.org/frs/download.php/1400/ocurl-%{version}.tar.gz
# Source0-md5:	d138fd78538ae3bd008d6e9c2993d240
URL:		http://ocurl.forge.ocamlcore.org/
BuildRequires:	curl-devel >= 7.12.0
BuildRequires:	gawk
BuildRequires:	ocaml >= 3.10.0-7
BuildRequires:	ocaml-findlib-devel
# Explicitly require Curl (fixes RHBZ#711261). Since ocaml-curl uses
# -custom rather than ocamlmklib, automatic detection is infeasible.
Requires:	curl-devel >= 7.12.0
%requires_eq	ocaml-runtime
ExcludeArch:	sparc64 s390 s390x
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Ocaml Curl Library (Ocurl) is an interface library for the
programming language Ocaml to the networking library libcurl.

%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n ocurl-%{version}

%build
%configure
%{__make} -j1 all \
%if %{with opt}
	OCBYTE="ocamlc.opt -g" \
	OCOPT="ocamlopt.opt -g"
%endif

%install
rm -rf $RPM_BUILD_ROOT
export OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml
install -d $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# Install curl.mli
cp -p curl.mli $OCAMLFIND_DESTDIR/curl

install -d $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/curl
cat > $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/curl/META <<EOF
requires = ""
version = "%{version}"
directory = "+curl"
archive(byte) = "curl.cma"
archive(native) = "curl.cmxa"
linkopts = ""
EOF

# Make clean in the examples dir so our docs don't contain binaries.
%{__make} -C examples clean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING
%{_libdir}/ocaml/curl
%attr(755,root,root) %{_libdir}/ocaml/stublibs/dllcurl-helper.so
%{_libdir}/ocaml/stublibs/dllcurl-helper.so.owner
%if %{with opt}
%exclude %{_libdir}/ocaml/curl/*.a
%exclude %{_libdir}/ocaml/curl/*.o
%exclude %{_libdir}/ocaml/curl/*.cmx
%exclude %{_libdir}/ocaml/curl/*.cmxa
%endif
%exclude %{_libdir}/ocaml/curl/*.mli

%files devel
%defattr(644,root,root,755)
%doc examples/*
%if %{with opt}
%{_libdir}/ocaml/curl/*.a
%{_libdir}/ocaml/curl/*.o
%{_libdir}/ocaml/curl/*.cmx
%{_libdir}/ocaml/curl/*.cmxa
%endif
%{_libdir}/ocaml/curl/*.mli
%{_libdir}/ocaml/site-lib/curl
%changelog
* Sun Nov 16 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ocaml-curl.git;a=log;h=master

* Sun Nov 16 2014 Jan Rękorajski <baggins@pld-linux.org> c63f57e
- strict ocaml deps
- rel 2

* Sat Aug 30 2014 Jan Rękorajski <baggins@pld-linux.org> 8fd8b94
- up to 0.7.1

* Mon Feb 17 2014 Jan Rękorajski <baggins@pld-linux.org> d878cf6
- fix source url and md5sum

* Mon Feb 17 2014 Jan Rękorajski <baggins@pld-linux.org> ec5b7a8
- up to 0.6.1

* Sat Nov 23 2013 Elan Ruusamäe <glen@delfi.ee> 4790749
- package site meta for ocamlfind to work

* Sat Nov 23 2013 Elan Ruusamäe <glen@delfi.ee> f6f0b5d
- rename to curl to match module name

* Sat Nov 23 2013 Elan Ruusamäe <glen@delfi.ee> 56573ec
- up to 0.6.0, new upstream

* Sat Nov 23 2013 Elan Ruusamäe <glen@delfi.ee> c81abe3
- fix package name

* Sat Nov 23 2013 Elan Ruusamäe <glen@delfi.ee> 26de232
- new, version 0.5.3

